/**
 * This file will be overwritten when the Bootstrap Framework source files
 * are compiled using the LESS CSS pre-processor.
 */
/*
  .middle {
    text-align: center;
    padding-top: 1em;
  }
 */

@font-face {
  font-family: Montserrat;
  src:
    url("../fonts/Montserrat-Thin.woff2") format("woff2"),
    url("../fonts/Montserrat-Thin.woff") format("woff"),
    url("../fonts/Montserrat-VariableFont_wght.ttf") format("truetype");
  font-weight: 100 900;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: Montserrat;
  src:
    url("../fonts/Montserrat-ThinItalic.woff2") format("woff2"),
    url("../fonts/Montserrat-ThinItalic.woff") format("woff"),
    url("../fonts/Montserrat-Italic-VariableFont_wght.ttf") format("truetype");
  font-weight: 100 900;
  font-style: italic;
  font-display: swap;
}

body {
  font-family: Montserrat, Arial, sans-serif;
}
/** ADMIN STYLING--------------------------------------------------------------- */
/* Style away a confusing IMCE ajax error that do no have any impact on the
working of IMCE----------------------------------------------------------------- */
.imce-layer.imce-message-popup {
  display: none !important;
}
/** NAVIGATION------------------------------------------------------------------ */
/* Navigation (Collapsible) bar at top - #Navbar in page.html.twig------------- */
#navbar {
  margin-bottom: 0 !important;
  padding-top: 10px;
  border-radius: 0;
  background: #6c3d91;
}
.navbar-header {
  float: none !important;
}
/* Search block----------------------------------------------------------------- */
#block-viewsexposedfilterblock label {
  display: none;
}
#edit-submit-solr-search-content {
  border-color: #78848e !important;
  background-color: #78848e !important;
}
/* Language switcher------------------------------------------------------------ */
#block-nwu-theme-languageswitcher-2 {
  padding-top: 10px;
}
.language-link {
  color: #fff;
}
.language-link.is-active {
  background-color: #78848e;
}
/** NAVIGATION COLLAPSIBLE ----------------------------------------------------- */
/* NWU main navigation menu------------------------------------------------------ */
.navbar-inverse .navbar-nav > li > a {
  color: #fff !important;
}
.navbar-inverse .navbar-nav > li > a:hover {
  color: #9d9d9d !important;
}
.navbar-header .navbar-toggle {
  border-color: white;
}

/** TOP BAR NAVIGATION STYLING--------------------------------------------------- */

/** TOP BAR NAVIGATION COLLAPSIBLE STYLING--------------------------------------- */
/* css for Business Unit Menu - desktop styling---------------------------------- */
/* If screen size is more than 768px wide---------------------------------------- */
@media screen and (min-width: 768px) {
  #navbar-collapse-2 {
    display: flex !important;
    margin-top: 10px;
    padding-top: 0 !important;
    text-align: center !important;
  }
  .region.region-headernavigation-collapsible {
    margin: auto;
    padding-top: 8px !important;
    padding-bottom: 8px !important;
  }
  #navbar-collapse-2 .navbar-nav > li > a {
    padding-top: 0 !important;
    padding-bottom: 0 !important;
    color: #fff;
  }
  .menu.menu--business-unit-menu.nav.navbar-nav a {
    color: black;
  }
  .region-headernavigation-collapsible .menu li a {
    border-right: 1px solid #fff;
  }
  .region-headernavigation-collapsible .menu li > ul > li a {
    border-right: none;
  }
  li.last.leaf a {
    border-right: none;
  }
  .region.region-headernavigation-collapsible .nav .open > a {
    background-color: #5a5a5a;
  }
}

/* css for Business Unit menu - mobile navigation button - sr-only--------------- */
.navbar-toggle.navbar-toggle-second {
  border-color: #3d3d3d !important;
  background-color: #3d3d3d;
}
.navbar-toggle-second .icon-bar {
  background: white;
}
/** css vir Business Unit Menu - Mobile styling--------------------------------- */
/* If screen size is less than 768px wide--------------------------------------- */
@media screen and (max-width: 768px) {
  .menu.menu--business-unit-menu.nav.navbar-nav a {
    color: black;
  }
  #navbar-collapse-2 {
    border-top: 1px solid;
    border-bottom: 1px solid;
  }
}

/** FOOTER STYLING--------------------------------------------------------------- */
/* Footer styling---------------------------------------------------------------- */
.footer.submitted {
  background-color: transparent;
}
footer {
  padding: 20px;
  background: #6c3d91;
}
footer a {
  color: #fff;
}
footer a:hover {
  color: #9d9d9d;
}
.footer.col-sm-2.text-align-right {
  border-right: 1px solid white;
}
.footer.col-sm-2.col-sm-push-4 {
  border-left: 1px solid white;
}
.text-align-center.terms {
  margin-top: 10px;
  padding-top: 1em;
  border-top: 1px solid white;
}
/* If screen size is less than 768px wide--------------------------------------- */
@media screen and (max-width: 768px) {
  .footer.col-sm-2.text-align-right {
    border-right: none;
  }
  .footer.col-sm-2.text-align-right,
  .footer.col-sm-2.col-sm-push-4 {
    text-align: left;
  }
  .footer.col-sm-2.col-sm-push-4 {
    border-left: none;
  }
  .footer div {
    padding-bottom: 1em;
  }
  .footer div > a {
    position: relative;
    display: block;
  }
}

/** FRONTPAGE - VIEWS STYLING--------------------------------------------------- */
.views-field-body .field-content.col-sm-9 {
  margin-bottom: 20px;
}
h2.min-margin {
  margin-top: 0;
  margin-bottom: 0;
}
.row.row-spacing {
  margin-bottom: 2em;
}

/** GENERAL STYLING ------------------------------------------------------------ */
.float-left {
  float: left;
}
.clear-right {
  clear: right;
}
.margin-spacing {
  margin-right: -15px;
  margin-left: -15px;
}
.min-margin {
  margin-top: 0;
  margin-bottom: 0;
}

/** Accordion styling **/
.ui-state-active,
.ui-widget-content .ui-state-active,
.ui-widget-header .ui-state-active,
a.ui-button:active,
.ui-button:active,
.ui-button.ui-state-active:hover {
  color: #fff;
  border: 1px solid #8e8e8e;
  background: #5a5a5a;
  font-weight: normal;
}
.ui-widget-content a {
  color: #337ab7;
}

/* Left and right margins as requested by Web Communication Office */
.left {
  float: left;
}
.right {
  float: right;
}
.margin {
  margin: 10px;
}

/* List Indent styling-------------------------- */
ul.Indent1,
ol.Indent1 {
  margin-left: 2em;
}
ul.Indent2,
ol.Indent2 {
  margin-left: 4em;
}
ul.Indent3,
ol.Indent3 {
  margin-left: 6em;
}
ul.Indent4,
ol.Indent4 {
  margin-left: 8em;
}
ul.Indent5,
ol.Indent5 {
  margin-left: 10em;
}
ul.Indent6,
ol.Indent6 {
  margin-left: 12em;
}
ul.Indent7,
ol.Indent7 {
  margin-left: 14em;
}
p.Indent8,
ul.Indent8,
ol.Indent8 {
  margin-left: 16em;
}
ul.Indent9,
ol.Indent9 {
  margin-left: 18em;
}
ul.Indent10,
ol.Indent10 {
  margin-left: 20em;
}
/* Login tabs not displaying for anonymous-------------------------- */
.path-user.has-glyphicons .tabs--primary.nav.nav-tabs {
  display: none;
}
.user-logged-in.path-user.has-glyphicons .tabs--primary.nav.nav-tabs {
  display: block;
}
/* Webform  ----------------------------- */
.form-required::after {
  width: 7px;
  height: 7px;
  background-size: 7px 7px;
}
.form-required::after {
  display: inline-block;
  width: 6px;
  height: 6px;
  margin: 0 0.3em;
  content: "";
  vertical-align: super;
  background-image: url(/core/misc/icons/ee0000/required.svg);
  background-repeat: no-repeat;
  background-size: 6px 6px;
}

/* Placing elements in the centre/middle----------------------------- */
.centre-element1 {
  display: flex;
  text-align: center;
}
.centre-element2 {
  margin: auto;
}
/* Search form & Button------------------------------------------------ */
#views-exposed-form-multisite-search-page-1 {
  padding-bottom: 1em;
}
#views-exposed-form-multisite-search-page-1 label {
  display: none;
}
#views-exposed-form-multisite-search-page-1 button {
  padding: 7px;
  border: none;
  background-color: #78848e;
}
#views-exposed-form-multisite-search-page-1 button:hover {
  color: #555;
  background-color: #eee;
}

/* Purple button */
.btn-purple.active,
.btn-purple.focus,
.btn-purple:active,
.btn-purple:focus,
.btn-purple:hover,
.open > .dropdown-toggle.btn-purple {
  color: #fff;
  border-color: #55267a;
  background-color: #55267a;
}
.btn-purple {
  color: #fff;
  border-color: #4e1f73;
  background-color: #6c3d91;
}
.btn.btn-purple:hover {
  color: #eee !important;
}
.btn-grey {
  color: #fff;
  border-color: #78848e;
  background-color: #78848e;
}
.btn-grey.active,
.btn-grey.focus,
.btn-grey:active,
.btn-grey:focus,
.btn-grey:hover,
.open > .dropdown-toggle.btn-grey {
  color: #fff;
  border-color: #57636d;
  background-color: #57636d;
}
.btn-turquoise {
  color: #fff;
  border-color: #00889c;
  background-color: #00889c;
}
.btn-turquoise.active,
.btn-turquoise.focus,
.btn-turquoise:active,
.btn-turquoise:focus,
.btn-turquoise:hover,
.open > .dropdown-toggle.btn-turquoise {
  color: #fff;
  border-color: #00697d;
  background-color: #00697d;
}

.round-corners {
  border-radius: 15px;
}
.round {
  border-radius: 150px;
}
.col-container {
  display: flex;
  flex-direction: row;
}
.col {
  flex: 1;
  margin: 0 15px;
  padding: 15px;
}

/* additional button styling */
.btn-rounded {
  display: inline-block;
  padding: 10px 20px;
  border-radius: 50rem !important;
}
.btn.btn-outline-turquoise:hover {
  color: #fff;
  border-color: #00889c;
  background-color: #00889c;
}

.btn.btn-outline-turquoise {
  color: #00889c;
  border-color: #00889c;
  background-color: transparent;
  background-image: none;
}
.btn.btn-outline-purple:hover {
  color: #fff;
  border-color: #6c3d91;
  background-color: #6c3d91;
}

.btn.btn-outline-purple {
  color: #6c3d91;
  border-color: #6c3d91;
  background-color: transparent;
  background-image: none;
}
.btn.btn-outline-grey:hover {
  color: #fff;
  border-color: #78848e;
  background-color: #78848e;
}

.btn.btn-outline-grey {
  color: #78848e;
  border-color: #78848e;
  background-color: transparent;
  background-image: none;
}
.round-corners {
  border-radius: 15px;
}
.round {
  border-radius: 150px;
}
/* Flex container */
.col-container {
  display: flex;
  flex-direction: row;
}
.col {
  flex: 1;
  margin: 0 15px;
  padding: 15px;
}
@media only screen and (max-width: 600px) {
  .col-container {
    flex-direction: column;
  }
}

/* Sticky menu */
#navbar {
  position: sticky;
  z-index: 999;
  top: -100px;
}
/* language switcher desktop */
#block-languageswitcher {
  position: absolute;
  top: 40%;
  clear: both;
}
#block-exposedformstudiessite-searchpage-1 {
  position: absolute;
  top: 50%;
  left: 50%;
}

/* language switcher mobile */
@media screen and (max-width: 768px) {
  #block-exposedformstudiessite-searchpage-1.pull-right {
    float: none !important;
    text-align: center;
  }
  #navbar {
    position: sticky;
    z-index: 999;
    top: -140px;
  }
  /* language switcher mobile */
  #block-languageswitcher {
    position: relative;
    left: 20%;
    clear: both;
    transform: translate(-20%);
  }
  .form-control {
    display: inline;
    width: 80%;
  }
  .region-navigation .views-exposed-form.pull-right {
    float: none;
    width: auto;
  }
  #block-exposedformstudiessite-searchpage-1 {
    position: initial;
  }
  #views-exposed-form-studiessite-search-page-1 {
    position: inherit;
  }
  .views-exposed-form #views-exposed-form-studiessite-search-page-1 {
    margin: 0;
    padding: 0;
  }
  #block-nwusecondary {
    float: left !important;
  }
  .container .pull-right {
    float: left !important;
  }
  #edit-submit-studiessite-search {
    position: absolute;
    top: 95px;
    right: 15px;
  }
}

/* dropdown items spacing */
.dropdown-menu > li > a {
  display: block;
  clear: both;
  padding: 7px 20px;
  white-space: nowrap;
  color: #333;
  font-weight: 400;
  line-height: 1.42857143;
}
/* end sticky menu styling */

.col-sm-3.col.card {
  display: flex;
  flex-direction: column;
  align-items: stretch;
  justify-content: space-between;
  text-align: center;
}
/* Button container */
.button-container {
  margin-top: auto; /* Pushes the button to the bottom */
}
.card {
  position: relative;
  display: inline-block;
  width: 100%;
  height: auto;
  margin-bottom: 20px;
  padding: 15px;
  border-radius: 10px;
  box-shadow: 0 0 10px 2px #dedede;
}
.card .img-top {
  position: absolute;
  z-index: 99;
  top: 0;
  left: 0;
  display: none;
}
.card:hover .img-top {
  display: inline;
  width: 100%;
  height: auto;
}

/* header search bar & language switcher */
@media screen and (max-width: 768px) {
  #block-languageswitcher {
    position: relative;
    left: 20%;
    clear: both;
    transform: translate(-35%);
  }
  .container .pull-right {
    float: left !important;
  }
  #block-exposedformmultisite-searchpage-1 {
    position: initial;
  }
  #block-exposedformmultisite-searchpage-1.pull-right {
    float: none !important;
    text-align: center;
  }
  #edit-submit-multisite-search {
    position: absolute;
    top: 95px;
    right: 15px;
  }
  #views-exposed-form-multisite-search-page-1 {
    margin-bottom: 0;
  }
}

/* -----------------------------------------------------------------------------
  Bootstrap overrides
  Add custom styles here to override Bootstrap defaults.
  These will be preserved after LESS compilation.
----------------------------------------------------------------------------- */
.carousel-caption {
  right: 0;
  left: 0;
}
@media screen and (min-width: 768px) {
  .carousel-caption {
    right: 0;
    left: 0;
  }
}
